{
	"archive" : {},
	"artifacts" : 
	[
		{
			"path" : "esp-idf/esp_rom/libesp_rom.a"
		}
	],
	"backtrace" : 2,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"idf_component_register",
			"add_compile_options",
			"add_compile_definitions",
			"include_directories",
			"target_include_directories",
			"__component_add_include_dirs",
			"add_c_compile_options",
			"target_sources"
		],
		"files" : 
		[
			"C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/tools/cmake/component.cmake",
			"C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/CMakeLists.txt",
			"CMakeLists.txt",
			"C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/tools/cmake/utilities.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 61,
				"parent" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 479,
				"parent" : 1
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 464,
				"parent" : 1
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 465,
				"parent" : 1
			},
			{
				"file" : 2
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 38,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 39,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 40,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 41,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 42,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 45,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 46,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 47,
				"parent" : 5
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 463,
				"parent" : 1
			},
			{
				"command" : 6,
				"file" : 0,
				"line" : 481,
				"parent" : 1
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 315,
				"parent" : 15
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 315,
				"parent" : 15
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 315,
				"parent" : 15
			},
			{
				"command" : 7,
				"file" : 0,
				"line" : 466,
				"parent" : 1
			},
			{
				"command" : 2,
				"file" : 3,
				"line" : 281,
				"parent" : 19
			},
			{
				"command" : 8,
				"file" : 1,
				"line" : 295,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-mlongcalls "
				},
				{
					"backtrace" : 3,
					"fragment" : "-ffunction-sections"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fdata-sections"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wall"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Werror=all"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=unused-function"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=unused-variable"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=unused-but-set-variable"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=deprecated-declarations"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wextra"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-unused-parameter"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-sign-compare"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-enum-conversion"
				},
				{
					"backtrace" : 3,
					"fragment" : "-gdwarf-4"
				},
				{
					"backtrace" : 3,
					"fragment" : "-ggdb"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Og"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fmacro-prefix-map=E:/Projects/GitHub/waterius-esp32s2/ESP32S2=."
				},
				{
					"backtrace" : 3,
					"fragment" : "-fmacro-prefix-map=C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6=/IDF"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fstrict-volatile-bitfields"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fno-jump-tables"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fno-tree-switch-conversion"
				},
				{
					"backtrace" : 3,
					"fragment" : "-DconfigENABLE_FREERTOS_DEBUG_OCDAWARE=1"
				},
				{
					"backtrace" : 20,
					"fragment" : "-std=gnu17"
				},
				{
					"backtrace" : 20,
					"fragment" : "-Wno-old-style-declaration"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 4,
					"define" : "ARDUINO_USB_CDC_ON_BOOT=0"
				},
				{
					"backtrace" : 4,
					"define" : "ARDUINO_USB_MODE=0"
				},
				{
					"backtrace" : 4,
					"define" : "CFG_TUSB_MCU=OPT_MCU_ESP32S2"
				},
				{
					"backtrace" : 4,
					"define" : "CFG_TUSB_OS_INC_PATH=freertos/"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_AUTOSTART_ARDUINO=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_TINYUSB_CDC_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_TINYUSB_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_USB_CDC_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_USB_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "ESP_PLATFORM"
				},
				{
					"backtrace" : 4,
					"define" : "IDF_VER=\"5.1.4.240801\""
				},
				{
					"backtrace" : 2,
					"define" : "SOC_MMU_PAGE_SIZE=CONFIG_MMU_PAGE_SIZE"
				},
				{
					"backtrace" : 4,
					"define" : "_GNU_SOURCE"
				},
				{
					"backtrace" : 4,
					"define" : "_POSIX_READER_WRITER_LOCKS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src"
				},
				{
					"backtrace" : 7,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/common"
				},
				{
					"backtrace" : 8,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/device"
				},
				{
					"backtrace" : 9,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/class/cdc"
				},
				{
					"backtrace" : 10,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/typec"
				},
				{
					"backtrace" : 11,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb"
				},
				{
					"backtrace" : 12,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include"
				},
				{
					"backtrace" : 13,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include_private"
				},
				{
					"backtrace" : 14,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/config"
				},
				{
					"backtrace" : 16,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include"
				},
				{
					"backtrace" : 17,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include/esp32s2"
				},
				{
					"backtrace" : 18,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/newlib/platform_include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/portable/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include/freertos"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/arch/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/port/esp32s2/."
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/heap/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/log/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/platform_port/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_common/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/soc"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/include/private"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps/sntp"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/lwip/src/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/freertos/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include/arch"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				7,
				8,
				9
			]
		},
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-mlongcalls "
				},
				{
					"backtrace" : 3,
					"fragment" : "-ffunction-sections"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fdata-sections"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wall"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Werror=all"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=unused-function"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=unused-variable"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=unused-but-set-variable"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-error=deprecated-declarations"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wextra"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-unused-parameter"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-sign-compare"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Wno-enum-conversion"
				},
				{
					"backtrace" : 3,
					"fragment" : "-gdwarf-4"
				},
				{
					"backtrace" : 3,
					"fragment" : "-ggdb"
				},
				{
					"backtrace" : 3,
					"fragment" : "-Og"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fmacro-prefix-map=E:/Projects/GitHub/waterius-esp32s2/ESP32S2=."
				},
				{
					"backtrace" : 3,
					"fragment" : "-fmacro-prefix-map=C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6=/IDF"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fstrict-volatile-bitfields"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fno-jump-tables"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fno-tree-switch-conversion"
				},
				{
					"backtrace" : 3,
					"fragment" : "-DconfigENABLE_FREERTOS_DEBUG_OCDAWARE=1"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 4,
					"define" : "ARDUINO_USB_CDC_ON_BOOT=0"
				},
				{
					"backtrace" : 4,
					"define" : "ARDUINO_USB_MODE=0"
				},
				{
					"backtrace" : 4,
					"define" : "CFG_TUSB_MCU=OPT_MCU_ESP32S2"
				},
				{
					"backtrace" : 4,
					"define" : "CFG_TUSB_OS_INC_PATH=freertos/"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_AUTOSTART_ARDUINO=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_TINYUSB_CDC_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_TINYUSB_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_USB_CDC_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "CONFIG_USB_ENABLED=1"
				},
				{
					"backtrace" : 4,
					"define" : "ESP_PLATFORM"
				},
				{
					"backtrace" : 4,
					"define" : "IDF_VER=\"5.1.4.240801\""
				},
				{
					"backtrace" : 2,
					"define" : "SOC_MMU_PAGE_SIZE=CONFIG_MMU_PAGE_SIZE"
				},
				{
					"backtrace" : 4,
					"define" : "_GNU_SOURCE"
				},
				{
					"backtrace" : 4,
					"define" : "_POSIX_READER_WRITER_LOCKS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src"
				},
				{
					"backtrace" : 7,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/common"
				},
				{
					"backtrace" : 8,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/device"
				},
				{
					"backtrace" : 9,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/class/cdc"
				},
				{
					"backtrace" : 10,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__tinyusb/src/typec"
				},
				{
					"backtrace" : 11,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb"
				},
				{
					"backtrace" : 12,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include"
				},
				{
					"backtrace" : 13,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/components/espressif__esp_tinyusb/include_private"
				},
				{
					"backtrace" : 14,
					"path" : "E:/Projects/GitHub/waterius-esp32s2/ESP32S2/.pio/build/esp32s2/config"
				},
				{
					"backtrace" : 16,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include"
				},
				{
					"backtrace" : 17,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/include/esp32s2"
				},
				{
					"backtrace" : 18,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/newlib/platform_include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/FreeRTOS-Kernel/portable/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include/freertos"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/freertos/esp_additions/arch/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/include/soc/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_hw_support/port/esp32s2/."
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/heap/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/log/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/soc/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/hal/platform_port/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_common/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/soc"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_system/port/include/private"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/xtensa/esp32s2/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/include/apps/sntp"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/lwip/src/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/freertos/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include"
				},
				{
					"backtrace" : 2,
					"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/lwip/port/esp32xx/include/arch"
				}
			],
			"language" : "ASM",
			"sourceIndexes" : 
			[
				6
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "__idf_hal::@41c1a00f56cd1e9ede18"
		}
	],
	"id" : "__idf_esp_rom::@c269e361cd87ad81e927",
	"name" : "__idf_esp_rom",
	"nameOnDisk" : "libesp_rom.a",
	"paths" : 
	{
		"build" : "esp-idf/esp_rom",
		"source" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				7,
				8,
				9
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				6
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_crc.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_sys.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_uart.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_spiflash.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_efuse.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_regi2c_esp32s2.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 1,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_longjmp.S",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_systimer.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/patches/esp_rom_cache_esp32s2_esp32s3.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 21,
			"compileGroupIndex" : 0,
			"path" : "C:/Users/Anton/.platformio/packages/framework-espidf@src-b67dfc788847c3ed90ea746bed0d89d6/components/esp_rom/esp32s2/usb_patches.c",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "STATIC_LIBRARY"
}
